%define upstream_name Net-IMAP-Simple-SSL
%define upstream_version 1.3

%{?perl_default_filter}

Name:		perl-%{upstream_name}
Version:	%perl_convert_version %{upstream_version}
Release:	%mkrel 3
License:	Artistic/GPL
Group:		Development/Perl
Summary:	SSL support for Net::IMAP::Simple
URL:		http://search.cpan.org/dist/%{upstream_name}
Source:		ftp://ftp.perl.org/pub/CPAN/modules/by-module/Net/%{upstream_name}-%{upstream_version}.tar.bz2
Requires:	perl(Net::IMAP::Simple)

Buildrequires: perl(IO::Socket::SSL)
BuildArch:	noarch


%description
This module is a subclass of Net::IMAP::SImple that includes SSL support.
The interface is identical.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make

%check
%make test

%install
%make_install

%files
%doc README Changes
%{perl_vendorlib}/Net/IMAP/Simple/*
%{_mandir}/*/*


%changelog
* Sun Jun 19 2016 pterjan <pterjan> 1.300.0-3.mga6
+ Revision: 1031090
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 1.300.0-2.mga6
+ Revision: 946768
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.3-13.mga5
+ Revision: 744325
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.3-12.mga5
+ Revision: 685667
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.3-11.mga4
+ Revision: 513502
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.3-10.mga3
+ Revision: 370635
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jan 22 2011 jquelin <jquelin> 1.3-9.mga1
+ Revision: 30906
- mageia rebuild
- imported package perl-Net-IMAP-Simple-SSL


* Fri Sep 04 2009 Thierry Vignaud <tv@mandriva.org> 1.3-9mdv2010.0
+ Revision: 430511
- rebuild

* Wed Jul 23 2008 Thierry Vignaud <tv@mandriva.org> 1.3-8mdv2009.0
+ Revision: 241774
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Wed Sep 19 2007 Guillaume Rousse <guillomovitch@mandriva.org> 1.3-6mdv2008.0
+ Revision: 90054
- rebuild

* Tue May 08 2007 Olivier Thauvin <nanardon@mandriva.org> 1.3-5mdv2008.0
+ Revision: 25275
- rebuild


* Fri Apr 28 2006 Nicolas Lcureuil <neoclust@mandriva.org> 1.3-4mdk
- Fix SPEC according to Perl Policy
	- BuildRequires
	- Source URL

* Thu Sep 29 2005 Nicolas Lcureuil <neoclust@mandriva.org> 1.3-3mdk
- BuildRequires

* Tue May 17 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 1.3-2mdk
- Requires Net::IMAP::Simple (not found automatically)

* Tue May 17 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 1.3-1mdk
- First Mandriva release

